Get cloud connectors

Base URL
https://{kibana_url}
  • GET /api/fleet/cloud_connectors
Auth

List all Fleet cloud connectors.

Required authorization

Privileges fleet-agent-policies-read or integrations-read

Query parameters

page string

The page number for pagination.

perPage string

The number of items per page.

kuery string

KQL query to filter cloud connectors.

Responses

Successful response

application/json
items object[] · max items: 10000 required
accountType string
cloudProvider string required
created_at string required
iac_blueprint_id string · min length: 1 · max length: 255 nullable

Identifier of the template source last used for this connector. Set to null to remove it.

iac_blueprint_version string · min length: 1 · max length: 64 nullable

Version of the template source last used for this connector. Set to null to remove it.

iac_deployment_id string · min length: 1 · max length: 2048

ARN of the last CloudFormation stack deployed for this connector (arn:<partition>:cloudformation:<region>:<account>:stack/<name>/<id>).

iac_key string · min length: 1 · max length: 512 nullable

Checksum of the CloudFormation template last saved on this connector. Set to null to remove it.

iac_upgrade_checked_at string

When this connector was last checked for a CloudFormation template upgrade.

iac_upgrade_status enum

Whether a newer CloudFormation template is available for this connector.

Values: up_to_date upgrade_available
id string required
name string required
namespace string
packagePolicyCount number required
updated_at string required
vars map string to object required
verification_failed_at string
verification_started_at string
verification_status string

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}